#ifndef PADDLE_H
#define PADDLE_H

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include "constants.h"
#include "globals.h"
#include "functions.h"
#include "text.h"

class Paddle
{
	public:
		Paddle(int PaddleplayerNum, bool Paddlehuman, bool Paddlelateral);
		int getX() const;
		int getY() const;
		int getW() const;
		int getH() const;
		void incrementScore();
		void input();
		void AI(int bally);
		void move(Uint32 deltaTicks);
		bool checkWin() const;
		void draw() const;

	private:
        SDL_Surface *paddleImage;
        int playerNum;
        bool human;
		bool lateral;
		float x;
		float y;
		float xVel;
		float yVel;
        int score;
        Text scoreText;
};

#endif
